Skip to content

addCloseTask

WRITE

Add close task.

POST /api/v1/accounting/addCloseTask
curl -X POST '<your-host>/api/v1/accounting/addCloseTask' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "periodId": "string",
    "name": "string",
    "taskType": "Auto",
    "required": true
  }'

Parameters

ParameterType
"Auto""Action""Manual"

Input schema

schema
{
  "type": "object",
  "properties": {
    "periodId": {
      "type": "string"
    },
    "name": {
      "type": "string"
    },
    "taskType": {
      "type": "string",
      "enum": [
        "Auto",
        "Action",
        "Manual"
      ]
    },
    "required": {
      "type": "boolean"
    },
    "assigneeId": {
      "type": "string"
    }
  },
  "required": [
    "periodId",
    "name",
    "taskType",
    "required"
  ]
}